using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate634 : MulticastDelegate
{
	public extern void Invoke(ref TaskAwaiter taskAwaiter_0);

	public static void smethod_0(ref TaskAwaiter taskAwaiter_0, Delegate634 delegate634_1)
	{
		delegate634_1(ref taskAwaiter_0);
	}

	public extern Delegate634(object object_0, IntPtr intptr_0);

	static Delegate634()
	{
		Class10.smethod_13(typeof(Delegate634).TypeHandle);
	}

	internal static Delegate634 delegate634_0;
}
